Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 May 2024 21:40:06 +0300

> From: Simen Endsjø <[email-masked]>
> Date: Tue, 28 May 2024 20:26:19 +0200
> 
> > Can you show the data in print_object (frame 9 in the backtrace you
> > post)?  Or maybe in frame 12, in Fcommand_error_default_function?  We
> > need to understand what kind of invalid Lisp data winds up there.
> >
> > Or maybe you know what you did when Emacs crashed?  What command did
> > you invoke that wanted to signal this error?
> 
> I'll look into this the next time it fails if I have the time. A problem
> is that my computer slows to a crawl when this happens and I attach gdb,
> so I cannot open a new instance and continue working.

Which is one excellent reason to run Emacs from GDB to begin with.
Then it will run at normal speed.

(The problem with attaching GDB to a running Emacs is that in that
case Emacs already installed its low-level keyboard hook, and that has
global effects on the other programs running on the system.  When you
start Emacs under GDB, it notices that it is being debugged, and
refrains from installing the keyboard hook.)